package amine.bou.DB

import org.jetbrains.exposed.dao.LongEntity
import org.jetbrains.exposed.dao.LongEntityClass
import org.jetbrains.exposed.dao.id.EntityID
import org.jetbrains.exposed.dao.id.LongIdTable
import org.jetbrains.exposed.sql.javatime.date


object HabitOccurrences : LongIdTable() {
    val occurence = date("date")
    val habit = reference("habit", Habits)
}

class HabitOccurrence(id: EntityID<Long>) : LongEntity(id) {
    companion object : LongEntityClass<HabitOccurrence>(HabitOccurrences)

    var occurence by HabitOccurrences.occurence
    var habit by Habit referencedOn HabitOccurrences.habit
}