package amine.bou.controllers

import amine.bou.DB.DB
import amine.bou.models.HabitView

class HabitController {
    private val db: DB = DB()

    fun createHabit(request: HabitView) = db.createHabit(request)

    fun updateHabit(id: Int, request: HabitView) = db.updateHabit(id, request)

    fun getAllHabits() = db.getAllHabits()

    fun getOneHabit(id: Int) = db.getOneHabit(id)

    fun deleteHabit(id: Int) = db.deleteHabit(id)


}